API KeysUpdate an API key

Update an API key

curl -X POST "https://api.5centscdn.com/v2/account/api/12345" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "name": "My Application",
  "description": "Used by the mobile app",
  "permission[]": [
    "read",
    "update"
  ]
}'
{
  "result": "success",
  "message": "API Key Updated"
}
POST
/account/api/{apikeyid}
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
apikeyidinteger
Required

Unique identifier of the API key record.

Content-Typestring
Required

The media type of the request body

Options: application/json
namestring
Required

Human-readable label for the API key / application.

descriptionstring
Required

Optional description of the key's purpose.

permission[]array
Required

Set of CRUD permissions granted to this key.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

apikeyidinteger
Required

Unique identifier of the API key record.

Body

application/json
namestring
Required

Human-readable label for the API key / application.

descriptionstring
Required

Optional description of the key's purpose.

permission[]array
Required

Set of CRUD permissions granted to this key.

Responses

resultstring

Operation outcome.

messagestring

Human-readable description of the operation outcome.